# $Id: ioctlsave.spec 318 2005-12-12 05:16:18Z rpmbuild $

Summary: A utility for system administrators with Linux serial consoles
Name: ioctlsave
Version: 1.0
Release: %RErelease 2
Epoch: 0
License: GPL
Group: System Environment/Base
URL: http://www.aarnet.edu.au/network/software/ioctlsave/
Source0: http://www.aarnet.edu.au/network/software/ioctlsave/ioctlsave-%{version}.tar.gz
Patch0: ioctlsave.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: docbook-utils

%description
ioctlsave is a program that writes terminal settings to a file in the same
format as used when init creates /etc/ioctl.save.

ioctlsave can be used to create /etc/ioctl.save from a multi-user mode

%prep
%setup -q
%patch

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT
%{__install} -m 0755 -D ioctlsave ${RPM_BUILD_ROOT}%{_bindir}/ioctlsave
%{__install} -m 0644 -D ioctlsave.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/ioctlsave.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ioctlsave.1.sgml
%{_bindir}/*
%doc %{_mandir}/*/*

%changelog
* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.0-2
- Rebuilt in new build system.

* Fri Apr 29 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.0-1
- First package.

